//*****************************************************************************
//
//	Kommandointerpreter2 fuer UART2
//
//*****************************************************************************
#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdint.h>
#include <avr/wdt.h> 
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "watchdog.h"
#include "kommand2.h"
#include "proto2.h"


char c_txstr2[80];


//*****************************************************************************
//	Kommand - Kommandointerpreter
//  Input:	Befehlsstring
//	Output:	-
//*****************************************************************************
void Kommandointerpreter2(char * pc_str)
{
unsigned char uc_ok = 0;

   watchdog_reset();
   if (strncmp(pc_str,"OK",2) == 0)       uc_ok = BEFEHL2_OK(pc_str+2); 
   watchdog_reset();

   if (!uc_ok) BEFEHL2_ERROR("");
}


//*****************************************************************************
//	Kommand - Kommando OK  
//  Input:	-
//	Output:	-
//*****************************************************************************
unsigned char BEFEHL2_OK(char * pc_str)
{
   watchdog_reset();
   strcpy(c_txstr2,"OK");
   sende_UART2(c_txstr2);
   return(1);
}


//*****************************************************************************
//	Kommand - Kommando ERROR  
//  Input:	-
//	Output:	-
//*****************************************************************************
unsigned char BEFEHL2_ERROR(char * pc_str)
{
   watchdog_reset();
   strcpy(c_txstr2,"ERROR");
   sende_UART2(c_txstr2);
   return(1);
}







