//*****************************************************************************
//
//	Kommandointerpreter1 fuer UART1
//
//*****************************************************************************
#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdint.h>
#include <avr/wdt.h> 
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "watchdog.h"
#include "kommand1.h"
#include "proto1.h"


char c_txstr1[80];


//*****************************************************************************
//	Kommand - Kommandointerpreter
//  Input:	Befehlsstring
//	Output:	-
//*****************************************************************************
void Kommandointerpreter1(char * pc_str)
{
unsigned char uc_ok = 0;

   watchdog_reset();
   if (strncmp(pc_str,"OK",2) == 0)       uc_ok = BEFEHL1_OK(pc_str+2); 
   watchdog_reset();

   if (!uc_ok) BEFEHL1_ERROR("");
}


//*****************************************************************************
//	Kommand - Kommando OK  
//  Input:	-
//	Output:	-
//*****************************************************************************
unsigned char BEFEHL1_OK(char * pc_str)
{
   watchdog_reset();
   strcpy(c_txstr1,"OK");
   sende_UART1(c_txstr1);
   return(1);
}


//*****************************************************************************
//	Kommand - Kommando ERROR  
//  Input:	-
//	Output:	-
//*****************************************************************************
unsigned char BEFEHL1_ERROR(char * pc_str)
{
   watchdog_reset();
   strcpy(c_txstr1,"ERROR");
   sende_UART1(c_txstr1);
   return(1);
}







