//*****************************************************************************
//
//	Kommandointerpreter3 fuer UART3
//
//*****************************************************************************
#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdint.h>
#include <avr/wdt.h> 
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "watchdog.h"
#include "kommand3.h"
#include "proto3.h"


char c_txstr3[80];


//*****************************************************************************
//	Kommand - Kommandointerpreter
//  Input:	Befehlsstring
//	Output:	-
//*****************************************************************************
void Kommandointerpreter3(char * pc_str)
{
unsigned char uc_ok = 0;

   watchdog_reset();
   if (strncmp(pc_str,"OK",2) == 0)       uc_ok = BEFEHL3_OK(pc_str+2); 
   watchdog_reset();

   if (!uc_ok) BEFEHL3_ERROR("");
}


//*****************************************************************************
//	Kommand - Kommando OK  
//  Input:	-
//	Output:	-
//*****************************************************************************
unsigned char BEFEHL3_OK(char * pc_str)
{
   watchdog_reset();
   strcpy(c_txstr3,"OK");
   sende_UART3(c_txstr3);
   return(1);
}


//*****************************************************************************
//	Kommand - Kommando ERROR  
//  Input:	-
//	Output:	-
//*****************************************************************************
unsigned char BEFEHL3_ERROR(char * pc_str)
{
   watchdog_reset();
   strcpy(c_txstr3,"ERROR");
   sende_UART3(c_txstr3);
   return(1);
}







