//****************************************************************************
//
//Initalisierung ATmega88
//
//****************************************************************************
#include <avr/io.h>
#include <stdint.h>
#include <avr/wdt.h>
#include <avr/interrupt.h>


//*****************************************************************************
//	MCU - Init
//  Input:	-
//	Output:	-
//*****************************************************************************
void MCUinit(void)
{
//unsigned char uc_Start;

  SREG &= 0x7F;	//global INT aus                   
 
//  uc_Start = MCUCSR;
//  uc_Start = MCUCR;
  MCUCR = 0x00;  
  EICRA = 0x00; //extended ext ints
  EIMSK = 0x00;
//  GICR = 0x00; //extended ext ints
//  GIFR = 0x00;
//  SFIOR &= 0xFB;  //PULL UP

// Timer0
  TCCR0A = 0;
  TCCR0B = 0;
  TIMSK0 = 0;
  TIFR0  = 0;

// Timer1  
  TCCR1A = 0;
  TCCR1B = 0;
  TCCR1C = 0;
  TIMSK1 = 0;
  TIFR1  = 0;

// Timer2
  TCCR2A = 0;
  TCCR2B = 0;
  TIMSK2 = 0;
  TIFR2  = 0;

// Timer3
  TCCR3A = 0;
  TCCR3B = 0;
  TCCR3C = 0;
  TIMSK3 = 0;
  TIFR3  = 0;

// Timer4
  TCCR4A = 0;
  TCCR4B = 0;
  TCCR4C = 0;
  TIMSK4 = 0;
  TIFR4  = 0;

// Timer5
  TCCR5A = 0;
  TCCR5B = 0;
  TCCR5C = 0;
  TIMSK5 = 0;
  TIFR5  = 0;


// Input/Output Ports initialization as input
// Port A
DDRA  = 0xFF;
PORTA = 0x00;

// Port B
  DDRB  = 0xFF;
  PORTB = 0x00;

// Port C
  DDRC  = 0xFF;
  PORTC = 0x00; 

// Port D
//UART1
  DDRD  = 0xFB;
  PORTD = 0x00;

// Port E
//UART0
  DDRE  = 0xFE;
  PORTE = 0x00;

// Port F
  DDRF  = 0xFF;
  PORTF = 0x00;

// Port G
  DDRG  = 0xFF;
  PORTG = 0x00;

// Port H
//UART2
  DDRH  = 0xFE;
  PORTH = 0x00;

// Port J
//UART3
  DDRJ  = 0xFE;
  PORTJ = 0x00;

// Port K
  DDRK  = 0xFF;
  PORTK = 0x00;

// Port L
  DDRL  = 0xFF;
  PORTL = 0x00;


  SREG |= 0x80;
//  return(uc_Start);
}




