//****************************************************************************
//File name:	main.c
//Data:			24/11/2021
//Version:		1
//Company:		
//Details: 		
//				Language C: GCC compiler
//				Fosc = 12 MHz
//              
// FUSE: //h
//
//Author:	    
//****************************************************************************
#include <avr/io.h>
#include <avr/interrupt.h>
#include <stdint.h>
#include <string.h>
#include <stdlib.h>
#include <avr/wdt.h> 

#include "MCUinit.h"
#include "watchdog.h"
#include "UART0.h"
#include "UART1.h"
#include "UART2.h"
#include "UART3.h"
#include "proto0.h"
#include "proto1.h"
#include "proto2.h"
#include "proto3.h"
#include "kommand0.h"
#include "kommand1.h"
#include "kommand2.h"
#include "kommand3.h"
//#include "timer2.h"



//*****************************************************************************
//	Main - Startroutine
//  Input:	-
//	Output:	-
//*****************************************************************************
int main(void)
{
   MCUinit();					// MCU initialisieren
   UART0_INIT();
   UART1_INIT();
   UART2_INIT();
   UART3_INIT();
   //timer2_init();

//   watchdog_reset();   
//   watchdog_set(0x04);
//   watchdog_enable();


   //Endlosschleife
   while (1)
   {
      watchdog_reset();
      if (UART0_RXTest()) receive_uart0(); 
      watchdog_reset();
      if (UART1_RXTest()) receive_uart1();
      watchdog_reset();
      if (UART2_RXTest()) receive_uart2();
      watchdog_reset();
      if (UART3_RXTest()) receive_uart3();
      watchdog_reset();


	    
      watchdog_reset();
   } //while
}	



